<div class="ui-g">
    <div class="ui-g-12">
        <div class="layout-topbar header">
          <h1>Climate Visualization App</h1> 
        </div>
    </div>
    <div class="ui-g-1">
      <div class="ui-g-12">
        <app-input></app-input>
        <br/><br/><br/>
      </div>
      <div class="ui-g-12">
        <app-export></app-export>
      </div>
    </div>
    <div class="ui-g-10">
      <div class="layout-content">
        <app-map></app-map>
      </div>
    </div>
    <div class="ui-g-1"></div>
    <div class="ui-g-12"></div>
</div>

<div id="spinner-front">
  <p-progressSpinner></p-progressSpinner>
  <br>
  Now loading...
</div>
<div id="spinner-back"></div>